net.dontdrinkandroot.wicket.bootstrap.css

## Class FontAwesomeIcon

- java.lang.Object
- - net.dontdrinkandroot.wicket.bootstrap.css.FontAwesomeIcon

All Implemented Interfaces:
  Serializable, net.dontdrinkandroot.wicket.css.CssClass

    public class FontAwesomeIcon
    extends Object
    implements net.dontdrinkandroot.wicket.css.CssClass

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FontAwesomeIcon(FontAwesomeIconClass iconClass)`

### Method Summary

Methods
`String` `getClassString()`
`FontAwesomeIcon` `setDirection(String direction)`
`FontAwesomeIcon` `setFixedWidth(boolean fixedWidth)`
`FontAwesomeIcon` `setOutline(Boolean outline)`
`FontAwesomeIcon` `setShape(String shape)`
`FontAwesomeIcon` `setSpinning(boolean spinning)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontAwesomeIcon

    public FontAwesomeIcon(FontAwesomeIconClass iconClass)

### Method Detail

#### getClassString

    public String getClassString()

Specified by:
  `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`

#### setFixedWidth

    public FontAwesomeIcon setFixedWidth(boolean fixedWidth)

#### setSpinning

    public FontAwesomeIcon setSpinning(boolean spinning)

#### setOutline

    public FontAwesomeIcon setOutline(Boolean outline)

#### setShape

    public FontAwesomeIcon setShape(String shape)

#### setDirection

    public FontAwesomeIcon setDirection(String direction)